Subject: Re: Network latency regressions from 2.6.22 to 2.6.29

From: Ben Hutchings <[email-masked]>
Date: Thu, 16 Apr 2009 19:07:59 +0100

On Thu, 2009-04-16 at 12:10 -0400, Christoph Lameter wrote:
> The following are results of lantency measurements using udpping
> (available from http://gentwo.org/ll). It shows that significant latencies
> were added since 2.6.27. I surely wish we could get back to times below 90
> microseconds.
[...]

This "90 microseconds" figure is specific to a particular driver and
hardware.  Have you verified that it applies to others?  The variation
you've reported is tiny compared to the improvements that can be made or
lost by hardware tuning.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.